<?php
require_once "SiemensXMLElement.php";

class IppAlert extends SiemensXMLElement {

	const TypeConfirmation = "CONFIRMATION";
	const TypeAlarm = "ALARM";
	const TypeError = "ERROR";
	const TypeInfo = "INFO";
	const TypeWarning = "WARNING";
	
	const DelayForever = "FOREVER";
	
	private $type = null;
	private $delay = null;
	
	
	public function __construct($type = IppAlert::TypeConfirmation, $delay = IppAlert::DelayForever) {
		
		$attributes = array();
		$attributes["Type"] = $type;
		$attributes["Delay"] = $delay;
		
		parent::__construct($attributes);
	}
	
	protected function name() {
		return "IppAlert";
	}
	
}